Results 1 to 7 of 7

Thread: Error when trying to run warVOX

  1. #1
    Just burned his ISO
    Join Date
    Mar 2012
    Location
    United States
    Posts
    2

    Default Error when trying to run warVOX

    Hey everyone. As the title suggests I'm having some problems wit WarVOX, but first my O.S. is Backtrack 5 R2/GNOME, and it's a HDD installation.

    First off I type /pentest/telephony/warvox/bin/warvox.rb and then I get the following error code(s).
    [*] Starting WarVOX on http://127.0.0.1:7777/

    /pentest/telephony/warvox/web/config/boot.rb:9:in 'rescue in <top (required)>': uninitialized constant Object::Bundler (NameError)
    from /pentest/telephony/warvox/web/config/boot.rb:5:in '<top (required)>

    from /pentest/telephony/warvox/web/script/rails:5:in 'require'
    from /pentest/telephony/warvox/web/script/rails:5:in '<top (required)>'
    from /pentest/telephony/warvox/bin/warvox.rb:72:in 'load'
    from /pentest/telephony/warvox/bin/warvox.rb:72:in '<main>'

    And that's all the error code it gives me. I really hope someone can lead me in the right direction to what the problem here is, and thank anyone in advance for doing so.

  2. #2
    Just burned his ISO
    Join Date
    Mar 2008
    Posts
    1

    Default Re: Error when trying to run warVOX

    When you first start warvox at the top it clearly says "this tool needs ruby 1.8 please use "update-alternatives -- config ruby" to switch" type that in and see what you get!

  3. #3
    Junior Member Lancha's Avatar
    Join Date
    Mar 2012
    Location
    in volcano
    Posts
    30

    Default Re: Error when trying to run warVOX

    i have same problem in my backtrack 5 r3 in hdd
    and this is my error
    root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:801:in `rescue in load_spec_files': git://github.com/mislav/will_paginate.git (at rails3) is not checked out. Please run `bundle install` (Bundler::GitError)
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:799:in `load_spec_files'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:381:in `local_specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:774:in `specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:174:in `block in resolve'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:172:in `each'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:172:in `resolve'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:113:in `specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:158:in `specs_for'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:147:in `requested_specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/environment.rb:23:in `requested_specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/runtime.rb:11:in `setup'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler.rb:116:in `setup'
    from /pentest/telephony/warvox/web/config/boot.rb:8:in `<top (required)>'
    from /pentest/telephony/warvox/web/script/rails:5:in `require'
    from /pentest/telephony/warvox/web/script/rails:5:in `<top (required)>'
    from ./warvox.rb:72:in `load'
    from ./warvox.rb:72:in `<main>'
    how i solve the problem
    i try install the bundler-1.2.2 but dont work
    i donīt have the bundler working all pogram using bundler donīt work
    do i have to restall again the backtrack 5 r3 on my system
    someone can help -me
    Last edited by Lancha; 12-17-2012 at 12:38 PM.

  4. #4
    Good friend of the forums zimmaro's Avatar
    Join Date
    Mar 2010
    Location
    milano
    Posts
    407

    Default Re: Error when trying to run warVOX

    Quote Originally Posted by Lancha View Post
    i have same problem in my backtrack 5 r3 in hdd
    and this is my error
    root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:801:in `rescue in load_spec_files': git://github.com/mislav/will_paginate.git (at rails3) is not checked out. Please run `bundle install` (Bundler::GitError)
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:799:in `load_spec_files'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:381:in `local_specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/source.rb:774:in `specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:174:in `block in resolve'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:172:in `each'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:172:in `resolve'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:113:in `specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:158:in `specs_for'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/definition.rb:147:in `requested_specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/environment.rb:23:in `requested_specs'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler/runtime.rb:11:in `setup'
    from /root/.gem/ruby/1.9.2/gems/bundler-1.2.2/lib/bundler.rb:116:in `setup'
    from /pentest/telephony/warvox/web/config/boot.rb:8:in `<top (required)>'
    from /pentest/telephony/warvox/web/script/rails:5:in `require'
    from /pentest/telephony/warvox/web/script/rails:5:in `<top (required)>'
    from ./warvox.rb:72:in `load'
    from ./warvox.rb:72:in `<main>'
    how i solve the problem
    i try install the bundler-1.2.2 but dont work
    i donīt have the bundler working all pogram using bundler donīt work
    do i have to restall again the backtrack 5 r3 on my system
    someone can help -me

    hi """"my-solutions"""
    ##remove###
    apt-get remove warvox

    ##re-install###
    apt-get install warvox

    ###set-ruby to 1.8##
    update-alternatives --config ruby
    ##switching to 1##

    cd pentest/telephony/warvox/bin/ ####or ....backtrack>information gathering>network analysis>telephony analysis>warvox
    root@bt:/pentest/telephony/warvox/bin# ./warvox.rb
    [*] Starting WarVOX on http://127.0.0.1:7777/

    => Booting WEBrick
    => Rails 3.0.1 application starting in production on http://127.0.0.1:7777
    => Call with -d to detach
    => Ctrl-C to shutdown server
    [2012-12-17 20:20:53] INFO WEBrick 1.3.1
    [2012-12-17 20:20:53] INFO ruby 1.8.7 (2010-01-10) [i486-linux]
    [2012-12-17 20:20:53] INFO WEBrick::HTTPServer#start: pid=13426 port=7777

    bye

  5. #5
    Junior Member Lancha's Avatar
    Join Date
    Mar 2012
    Location
    in volcano
    Posts
    30

    Default Re: Error when trying to run warVOX

    i gonna install my backtrack 5 r3 again

  6. #6
    Junior Member Lancha's Avatar
    Join Date
    Mar 2012
    Location
    in volcano
    Posts
    30

    Default Re: Error when trying to run warVOX

    my backtrack 5 r3 i call the kill fly was break when i try to install the virtual box
    thanks for your help

  7. #7
    Junior Member Lancha's Avatar
    Join Date
    Mar 2012
    Location
    in volcano
    Posts
    30

    Default Re: Error when trying to run warVOX

    the problem start when i update the warvox for a new version
    with the python script 1.6

Similar Threads

  1. Remotely Accessing Warvox
    By Xtrato in forum BackTrack 5 Beginners Section
    Replies: 0
    Last Post: 09-30-2011, 03:01 PM
  2. Replies: 3
    Last Post: 10-18-2010, 11:00 PM
  3. iWar and Warvox problems
    By mrleaf in forum Beginners Forum
    Replies: 0
    Last Post: 04-27-2010, 08:50 AM
  4. NeXpose, WarVOX and a few things.
    By SignusX7 in forum OLD BackTrack 4 Package and feature Requests
    Replies: 3
    Last Post: 12-04-2009, 02:30 AM
  5. {REQUEST} WarVOX - VoIP Wardialer
    By imported_BaconZombie in forum OLD BT4 Feature Requests
    Replies: 6
    Last Post: 04-15-2009, 11:02 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •